.Na "DBCURCMD" 
.Aa
.Fu
Return the number of the current command.
.Ih "command, returning the number of the current"
.Sy
.Sf "int DBCURCMD(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro returns the number of the command whose results
are currently being processed.
.Bl
The first command in a batch
is number 1.  The command number is incremented every time
.I "dbresults()"
returns SUCCEED or FAIL.
(Unsuccessful commands are counted.)
The command number is reset by each call to \f2dbsqlexec()\f1 or \f2dbsqlsend()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Bz
.in -.375i
.Re
.br
The number of the current command.
.Sa
DBCMDROW,
DBMORECMDS,
DBROWS
