.Na "dbname" 
.Aa
.Fu
Return the name of the current database.
.Ih "database name"
.Sy
.Sf "char *dbname(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
\f2dbname\f1 returns
the name of the current database.
.Bl
If you need to keep track of when the database changes, use
.I "dbchange()."
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
A pointer to the null-terminated name of the current database.
.Sa
dbchange,
dbuse
