.Na "DBSETLAPP" 
.Aa
.Fu
Set the application name in the LOGINREC structure.
.Ih "LOGINREC, setting the application name in"
.Ih "application name, setting"
.Sy
.Sf "RETCODE DBSETLAPP(loginrec, application)"
.Sp "LOGINREC" "*loginrec"
.Sp "char" "*application"
.Co
.Bl
This macro sets the application
field in the 
LOGINREC
structure.  
For it to have any effect, it must be called before
.I "dbopen()."
.Bl
It is not necessary to call this routine.
By default, the application name
will be a null value, or, in the case of the
Macintosh environment, the low memory global
CurApName.
.Bl
\*S uses the application name in its 
.I sysprocesses
table to help identify your process.  
If you set the
application
name, you will see it if you query the 
.I sysprocesses
table in the
.I master
database.
.Bz
.Pa
.Pi loginrec
A pointer to a LOGINREC structure, which will be passed as
an argument to 
.I "dbopen()."
You can get one by calling
.I "dblogin()."
.Pi application
The application name that will be sent to \*S.
It must be a null-terminated character string.
The maximum length of the string, not including the null terminator,
is 30 characters.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dblogin,
dbopen,
DBSETLHOST,
DBSETLPWD,
DBSETLUSER
