.Na "abort_xact" 
.Aa
.Fu
Mark a distributed transaction as being aborted.
.Ih "distributed transaction, mark as aborted"
.Sy
.Sf "RETCODE abort_xact(connect, commid)
.Sp "DBPROCESS" "*connect"
.Sp "DBINT" "commid"
.Co
.Bl
This routine informs the commit service that the status of a 
distributed transaction
should be changed from ``begin'' to ``abort.''
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi commid
The \f2commid\fP used to identify the transaction to the commit service.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
commit_xact,
remove_xact,
scan_xact,
start_xact,
stat_xact
