/* 	Copyright (c) 1993 NeXT Computer, Inc.  All rights reserved. 
 *
 * Example of a loadable i386 driver. This driver doesn't do anything
 * other than show that it has been loaded, probed, and has a valid
 * IOEISADeviceDescription.
 *
 * HISTORY
 * 04-Feb-93    Doug Mitchell at NeXT
 *      Created. 
 * 29-Mar-93    Kathy Walrath at NeXT
 *      Modified for use as an example of building, loading, & debugging. 
 */

#import <driverkit/i386/directDevice.h>

@interface myTestDriver : IODirectDevice
{
char *_myParameter;
}

+ (BOOL)probe: deviceDescription;
- initFromDeviceDescription: deviceDescription;

@end
