.Na "dbstrlen" 
.Aa
.Fu
Return the length, in characters, of the command buffer.
.Ih "command buffer, length of"
.Sy
.Sf "int dbstrlen(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
.I "dbstrlen()"
finds the length, in characters, of the command buffer.
.Bl
Internally,
the command buffer is a linked list of non-null-terminated text strings.
.I "dbgetchar(), dbstrcpy(),"
and
.I "dbstrlen()"
together provide a way to locate and copy parts of the command buffer.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The length, in characters, of the command buffer.
.Sa
dbcmd,
dbfcmd,
dbfreebuf,
dbgetchar,
dbstrcpy
