.Na "stat_xact" 
.Aa
.Fu
Return the current status of a distributed transaction.
.Sy
.Sf "int stat_xact(connect, commid)
.Sp "DBPROCESS" "*connect"
.Sp "DBINT" "commid"
.Co
.Bl
This routine returns the transaction status for the specified 
distributed transaction.
.Ih "distributed transaction, return transaction status for"
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi commid
The \f2commid\fP used to identify the transaction to the commit service.
If \f2commid\fP is -1, all commit service records are displayed.
.in -.375i
.Re
.br
A character code: 'a' (abort), 'b' (begin), 'c' (commit), 'u' (unknown),
or -1 (request failed).
.Sa
abort_xact,
commit_xact,
remove_xact,
scan_xact,
start_xact
